///
/// Code generated by jsonToDartModel https://ashamp.github.io/jsonToDartModel/
///
class BannerDataFetchBannersLink {

  int? id;
  int? productId;
  String? name;

  BannerDataFetchBannersLink({
    this.id,
    this.productId,
    this.name,
  });
  BannerDataFetchBannersLink.fromJson(Map<String, dynamic> json) {
    id = json['id']?.toInt();
    productId = json['productId']?.toInt();
    name = json['name']?.toString();
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['productId'] = productId;
    data['name'] = name;
    return data;
  }
}

class BannerDataFetchBanners {

  int? id;
  String? name;
  String? status;
  String? imageUrl;
  String? type;
  int? createdDate;
  int? modifiedDate;
  String? externalLink;
  BannerDataFetchBannersLink? link;

  BannerDataFetchBanners({
    this.id,
    this.name,
    this.status,
    this.imageUrl,
    this.type,
    this.createdDate,
    this.modifiedDate,
    this.externalLink,
    this.link,
  });
  BannerDataFetchBanners.fromJson(Map<String, dynamic> json) {
    id = json['id']?.toInt();
    name = json['name']?.toString();
    status = json['status']?.toString();
    imageUrl = json['imageUrl']?.toString();
    type = json['type']?.toString();
    createdDate = json['createdDate']?.toInt();
    modifiedDate = json['modifiedDate']?.toInt();
    externalLink = json['externalLink']?.toString();
    link = (json['link'] != null)
        ? BannerDataFetchBannersLink.fromJson(json['link'])
        : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data['id'] = id;
    data['name'] = name;
    data['status'] = status;
    data['imageUrl'] = imageUrl;
    data['type'] = type;
    data['createdDate'] = createdDate;
    data['modifiedDate'] = modifiedDate;
    data['externalLink'] = externalLink;
    if (link != null) {
      data['link'] = link!.toJson();
    }
    return data;
  }
}

class BannerData {

  List<BannerDataFetchBanners>? fetchBanners;

  BannerData({
    this.fetchBanners,
  });
  BannerData.fromJson(Map<String, dynamic> json) {
    if (json['fetchBanners'] != null) {
      final v = json['fetchBanners'];
      final arr0 = <BannerDataFetchBanners>[];
      v.forEach((v) {
        arr0.add(BannerDataFetchBanners.fromJson(v));
      });
      fetchBanners = arr0;
    }
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (fetchBanners != null) {
      final v = fetchBanners;
      final arr0 = [];
      v!.forEach((v) {
        arr0.add(v.toJson());
      });
      data['fetchBanners'] = arr0;
    }
    return data;
  }
}

class Banner {

  BannerData? data;

  Banner({
    this.data,
  });
  Banner.fromJson(Map<String, dynamic> json) {
    data = (json['data'] != null) ? BannerData.fromJson(json['data']) : null;
  }
  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    if (data != null) {
      data['data'] = this.data!.toJson();
    }
    return data;
  }
}
